@import url('https://fonts.googleapis.com/css2?family=Darumadrop+One&display=swap');

body {
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden; 
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: black;
    font-family: "Darumadrop One", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1.8vmin;
    user-select: none;
}

.standard-container {
    position: relative;
    display: inline-block;
    max-width: 100vw;
    max-height: 100vh;
}

#map {
    display: block;
    width: auto;
    height: auto;
    max-width: 100vw;
    max-height: 100vh;
    object-fit: contain;
    z-index: 1;
}

#container:has(#map[loading=true])::before {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    background-color: rgba(0, 0, 0, 0.4);
}

#container:has(#map[loading=true])::after {
    content: "";
    position: fixed;
    top: 10%;
    left: 90%;
    width: 12vmin;
    height: 12vmin;
    pointer-events: none;

    background-image: url("./images/BingBong.png");
    background-position: -50% -50%;
    background-size: contain;
    background-repeat: no-repeat;
    animation-name: mapLoading;
    animation-duration: .8s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}

@keyframes mapLoading {

    0% {
        transform: translate(-50%, -50%) rotate(0deg);
    }

    50% {
        transform: translate(-50%, -50%) rotate(180deg);
    }

    100% {
        transform: translate(-50%, -50%) rotate(360deg);
    }

}

#container {
    cursor: grab;
}

.point {
    position: absolute;
    left: calc((var(--x) / 7630) * 100%);
    top: calc((var(--y) / 4320) * 100%);
    transform: translate(-50%, -50%);
    background-size: cover;
    background-position: 50% -50%;
    backdrop-filter: blur(10px);
    width: 3vmin;
    height: 3vmin;
    border-radius: 50%;
    transition: .3s;
    border: 0.3vmin solid;
    z-index: 2;
}

.point:hover {
    cursor: pointer;
    animation-name: pointHover;
    animation-duration: 0.8s;
    z-index: 3;
}

.point.luggage {
    border-color: red;
}

.point.luggage.LuggageSmall {
    border-color: #da7c20;
}

.point.luggage.LuggageBig {
    border-color: #ece2dc;
}

.point.luggage.LuggageEpic {
    border-color: orangered;
}

.point.luggage.scout_statue {
    border-color: rgb(100, 99, 109);
}

.point.belltower {
    border-color: purple;
}

.point.animals {
    border-color: brown;
}

.point.animals.EarlyWorm {
    border-color: pink;
}

.point.amulets.AMULET_CLONE {
    border-color: greenyellow;
}

.point.amulets.AMULET_INFINITESTAM {
    border-color: orange;
}

.point.amulets.AMULET_HEALING {
    border-color: rgb(87, 87, 228);
}

.point.amulets.AMULET_DOUBLEJUMP {
    border-color: rgb(199, 53, 34);
}

.point.tombs {
    border-color: purple;
}

@keyframes pointHover {

    0% {
        transform: translate(-50%, -50%) scale(1);
    }

    20% {
        transform: translate(-50%, -50%) scale(0.9);
    }

    50% {
        transform: translate(-50%, -50%) scale(1.1);
    }

    100% {
        transform: translate(-50%, -50%) scale(1);
    }
    
}

@keyframes buttonHover {
    
    0% {
        transform: scale(1);
    }

    20% {
        transform: scale(0.9);
    }

    50% {
        transform: scale(1.1);
    }

    100% {
        transform: scale(1);
    }

}

.data-frame {
    display: none;
}

#settings {
    width: 25vmin;
    height: fit-content;
    z-index: 4;
    position: absolute;
    backdrop-filter: blur(15px);
    border-bottom-right-radius: 2px;
    border: 1px solid black;
    top: 0;
    left: 0;
}

#settings p {
    text-align: center;
    margin-bottom: 1vmin;
}

.settings-entry {
    display: flex;
    gap: 1vmin;
    justify-content: center;
}

.settings-entry label {
    width: 50%;
    display: inline-flex;
    align-items: center;
    gap: 1vmin;
    margin-left: 1vmin;
}

span.icon {
    width: 3vmin;
    height: 3vmin;
    display: inline-block;
    background-size: cover;
    background-position: 50% -50%;
    margin-right: 0.1vmin;
}

.settings-entry label[for="luggage-checkbox"] span {
    background-image: url("./images/LuggageSmall.png");
}

.settings-entry label[for="belltowers-checkbox"] span {
    background-image: url("./images/Belltower.png");
}

.settings-entry label[for="animals-checkbox"] span {
    background-image: url("./images/EarlyWorm.png");
}

.settings-entry label[for="amulets-checkbox"] span {
    background-image: url("./images/AMULET_CLONE.png");
}

.settings-entry label[for="tombs-checkbox"] span {
    background-image: url("./images/Tomb.png");
}

.settings-entry input[type=checkbox] {
    width: 1.5vmin;
}

.settings-buttons {
    display: flex;
    margin-left: 12.5%;
    margin-right: 12.5%;
    width: 75%;
    gap: 5%;
    margin-top: 1vmin;
    margin-bottom: 1vmin;
}

.settings-angle-buttons {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 2vmin;
}

.settings-angle-buttons button {
    width: 50%;
}

#settings p {
    margin-top: 0;
}

#additional-settings {
    position: absolute;
    width: 20vmin;
    height: fit-content;
    left: 25vmin;
    top: -1px;
    border: 1px solid black;
    display: none;
    backdrop-filter: blur(15px);
    border-bottom-right-radius: 2px;
}

#additional-settings-title {
    text-transform: uppercase;
    text-align: center;
    margin: 0;
}

#additional-settings-container {
    display: flex;
    flex-direction: column;
}

#additional-settings-container .settings-entry label {
    width: 70%;
    font-size: 1.3vmin;
}

.settings-extend {
    position: absolute;
    left: 22.5vmin;
    transition: .2s;
}

.settings-extend::after {
    content: "➤";
}

.settings-extend:hover {
    color: rgb(186, 186, 0);
    cursor: pointer;
}

button {
    width: 12vmin;
    font-size: 1.5vmin;
    border: none;
    background-color: #98CA3C;
    color: white;
    text-transform: uppercase;
    font-family: "Darumadrop One", sans-serif;
    font-weight: 400;
    font-style: normal;
}

button:hover {
    cursor: pointer;
    animation-name: buttonHover;
    animation-duration: 0.8s;
}

button[disabled] {
    background-color: #9eaa89;
}

button[disabled]:hover {
    animation-name: none;
    cursor: not-allowed;
}

#item-popup {
    width: 20vmin;
    height: 15vmin;
    z-index: 4;
    position: absolute;
    border-radius: 2px;
    background-color: rgba(75, 73, 73, 0.7);
    top: 3vmin;
    right: 3vmin;
    transition: .3s;
    opacity: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    pointer-events: none;
}

#item-popup-image {
    display: block;
    width: 10vmin;
    height: 10vmin;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 50% -50%;
}

#zoom-reminder {
    position: absolute;
    bottom: 1vmin;
    right: 1vmin;
    transition: color 1s, opacity 0.3s;
    animation-name: reminder;
    animation-duration: 4s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    pointer-events: none;
}

@keyframes reminder {

    0% {
        color: black;
    }

    50% {
        color: rgb(186, 186, 0);
    }

    100% {
        color: black;
    }

}

#star-reminder {
    position: absolute;
    bottom: 1vmin;
    left: 1vmin;
}

#star-reminder a {
    transition: .3s;
}

#star-reminder a:hover {
    color: rgb(186, 186, 0);
}

a, a:visited {
    color: black;
    text-decoration: none;
}

footer {
    background-color: white;
    position: absolute;
    bottom: 0;
    left: 0;
    text-align: center;
    width: 100%;
    font-size: 1.2vmin;
}